'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports["default"] = getToggleStyleFunc;

var _draftJs = require('draft-js');

function getToggleStyleFunc(callbacks) {
    return function toggleStyle(styleName) {
        var getEditorState = callbacks.getEditorState;
        var setEditorState = callbacks.setEditorState;

        var editorState = getEditorState();
        var selection = editorState.getSelection();
        setEditorState(_draftJs.RichUtils.toggleInlineStyle(getEditorState(), styleName));
    };
}
module.exports = exports['default'];