'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports["default"] = findEntities;

var _draftJs = require('draft-js');

function findEntities(entityType) {
    return function findEntitiesFunc(contentBlock, callback) {
        contentBlock.findEntityRanges(function (character) {
            var entityKey = character.getEntity();
            return entityKey !== null && _draftJs.Entity.get(entityKey).getType() === entityType;
        }, callback);
    };
}
module.exports = exports['default'];