"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports["default"] = getCurrentInlineStyle;
var inlineStyleCache = {
    editorState: null,
    value: null
};
function getCurrentInlineStyle(editorState) {
    if (editorState === inlineStyleCache.editorState) {
        return inlineStyleCache.value;
    }
    inlineStyleCache.editorState = editorState;
    inlineStyleCache.value = editorState.getCurrentInlineStyle();
    return inlineStyleCache.value;
}
module.exports = exports['default'];